"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.axiosInstance = void 0;
const axios_1 = require("axios");
const logger = require('./log');
const axiosRetry = require("axios-retry");
const axiosInstance = axios_1.default.create({
    timeout: 2500,
});
exports.axiosInstance = axiosInstance;
axiosRetry(axiosInstance, {
    retries: 3,
    retryCondition: () => true,
    shouldResetTimeout: true,
    retryDelay: axiosRetry.exponentialDelay,
    onRetry: (retryCount, error, requestConfig) => {
        if (retryCount > 2) {
            logger.warn({
                retryCount,
                errorMessage: error.message,
                url: requestConfig.url,
                requestId: requestConfig.headers && requestConfig.headers['Snyk-Request-Id'],
            }, `retrying request x ${retryCount} `);
        }
    },
});
//# sourceMappingURL=axios.js.map